%define anolis_release 7
Name:		jbig2dec
Version:	0.19
Release:	%{anolis_release}%{?dist}
Summary:	A decoder implementation of the JBIG2 image compression format 
License:	AGPLv3+
URL:		http://jbig2dec.sourceforge.net/
Source0:	https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs952/%{name}-%{version}.tar.gz
Requires:	%{name}-libs = %{version}-%{release}
BuildRequires:	libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  make

%description
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

%package libs 
Summary:	A decoder implementation of the JBIG2 image compression format

%description libs 
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package provides the shared jbig2dec library.

%package devel
Summary:	Static library and header files for development with jbig2dec
Requires:	%{name}-libs = %{version}-%{release}

%description devel
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package is only needed if you plan to develop or compile applications
which requires the jbig2dec library.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install

%files
%{_bindir}/jbig2dec
%{_mandir}/man1/jbig2dec.1*

%files devel
%{_includedir}/jbig2.h
%{_libdir}/libjbig2dec.so
%{_libdir}/pkgconfig/%{name}.pc

%files libs
%license COPYING LICENSE
%{_libdir}/libjbig2dec.so.*

%files doc
%doc CHANGES README

%changelog
* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 0.19-7
- Import package for anolis 23
